Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236640 - Xvfb fails silently
Summary: Xvfb fails silently
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xorg-x11-server
Version: 4.4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-16 21:47 UTC by Carlie J. Coats, Jr.
Modified: 2012-04-17 19:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-17 19:23:21 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Carlie J. Coats, Jr. 2007-04-16 21:47:26 UTC
Description of problem:

Invoking "Xvfb :35 -screen 1.0 2536x2536x24 -ac &" in order to then
use Xvfb to render-and-capture images _seems_ to succeed -- no obvious
failure, no messages.n  But the rendered images are all 1280x1024.
Note that "man Xvfb" shows examples with resolution greater than 1280x1024.

Version-Release number of selected component (if applicable):

xorg-x11-Xvfb-6.8.2-1.EL. 13.37.2 RPM

How reproducible:
reliably

Steps to Reproduce:
1.Xvfb :35 -screen 1.0 2536x2536x24 -ac &
2.setenv DISPLAY localhost:35
3.display a large image
4.Do an ImageMagick screen capture on screen 35
  
Actual results:
Screen capture has resolution 1280x1024

Expected results:
Screen capture has resolution MIN( actual resolution, 2536x2536 )


Additional info:

Comment 1 Adam Jackson 2007-08-17 14:23:44 UTC
What's the imagemagick command you're using to do the capture?

Comment 2 Carlie J. Coats, Jr. 2007-08-17 14:52:52 UTC
import -window root foo.gif

Comment 3 Carlie J. Coats, Jr. 2007-08-17 14:54:37 UTC
  import -window root foo.gif

Comment 4 Adam Jackson 2012-04-17 19:23:21 UTC
No further non-security updates are planned for xorg-x11 in RHEL4.  If this issue is not addressed in RHEL5 or newer, please update the affected product version and reopen this bug.


Note You need to log in before you can comment on or make changes to this bug.